#ifndef CGDRAWABLE_H
#define CGDRAWABLE_H

#define strncpy_s(a,b,c,d) strncpy(a,c,d)
#define _TRUNCATE ((size_t)-1)
#include <CoreGraphics/CoreGraphics.h>
#undef strncpy_s
#undef _TRUNCATE


class CGDrawable
{
public:
	CGDrawable();
	virtual ~CGDrawable(void);

	bool createImage(unsigned int w, unsigned int h);
	CGContextRef context() const { return mCgContext; }
	void copyToGDI(HDC hdc, int dx, int dy);
private:
	unsigned char* pDIB;
	HBITMAP mHDIBSec;
	HDC mDIBSecDC;

	CGContextRef mCgContext;

	unsigned int mWidth;
	unsigned int mHeight;
	unsigned int mBpp;
};

#endif