#ifndef CGFONTWRAPPER_H
#define CGFONTWRAPPER_H

#include "stdafx.h"

#define strncpy_s(a,b,c,d) strncpy(a,c,d)
#define _TRUNCATE ((size_t)-1)
#include <CoreGraphics/CoreGraphics.h>
#undef strncpy_s
#undef _TRUNCATE


class CGFontWrapper
{
public:
	CGFontWrapper(int height, int weight, LPCTSTR face, DWORD pitchAndFamily);
	virtual ~CGFontWrapper(void);

	bool getGlyphIndices(HFONT hfont, CGGlyph* buf, int len, const TCHAR* str);
	CGFontRef cgfont() const {return mCGFont;}

	HFONT gdifont() const { return mHGDIFont; }
private:
	HFONT mHGDIFont;
	CGFontRef mCGFont;

};

#endif